.slider-hero {
    margin-bottom: 1rem;
    height: 500px;
}
.swiper {
    width: 100%;
    height: 100%;
}

.slide-text-bg{
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: bottom right;
    z-index: -1;
}
.slide-text {
    position: relative;
    width: 100%;
    padding: 2rem;
    text-align: left;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background: linear-gradient(90deg,rgba(50, 0, 110, 0.50) 0%, rgba(50, 0, 110, 1) 80%);
}

.slide-text h1, .slide-text h2, .slide-text h3, .slide-text h4, .slide-text h5, .slide-text h6 {
    font-family: "Encode Sans", system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    color: white;
    font-size: 1.75rem;
} 

.slide-text p {
    color: #fff;
    font-size: 1rem;
    font-weight: 400;
}

.slide-image {
    width: 100%;
    height: 100%;
    position: relative;
}

.slide-image .overlay {
    display: none;
    box-sizing: border-box;
}

@media (min-width: 768px){
    .slide-image .overlay {
        display: block;
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        clip-path: polygon(0 0,100px 0,1px 100%,0 100%);
        background: rgb(50, 0, 110);
        width: 100%;
    }

    .slide-text {
        width: 40%;
    }
    .slide-image {
        width: 60%;
    }

    .slide-text h1, .slide-text h2, .slide-text h3, .slide-text h4, .slide-text h5, .slide-text h6 {
        font-size: 2.5rem;
    }

    .slide-text p {
        font-size: 1.25rem;
    }
}

@media (min-width: 992px){
    .slide-text h1, .slide-text h2, .slide-text h3, .slide-text h4, .slide-text h5, .slide-text h6 {
        font-size: 3rem;
    }
}


.slide-image img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center right;
}

.slide-text .btn {
    color: white;
    border: 2px solid white;
    padding: .25rem .75rem;
    background: transparent;
    border-radius: 0;
    font-size: 1.125rem;
    text-transform: uppercase;
    margin-top: .5rem;
}

.slide-text .btn:hover {
    background-color: white;
    color: #32006e;
}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #32006e;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 200px;
}



.swiper {
    margin-left: auto;
    margin-right: auto;
}



.acf-block-preview .slides-preview {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.acf-block-preview .slides-preview .slide-preview {
    width: 100%;
    height: 400px;
}

.acf-block-preview .slides-preview .slide-preview .slide-text {
    position: relative;
    width: 40%;
    padding: 1rem;
    text-align: left;
    display: flex;
    flex-direction: column;
    justify-content: center;
    /*background: linear-gradient(90deg,rgba(50, 0, 110, 0.50) 0%, rgba(50, 0, 110, 1) 80%);*/
}

.acf-block-preview .slides-preview .slide-preview .slide-text::after {
    content: '';
    position: absolute;
    top: 0; bottom: 0; left: 0; right: 0;
    background: linear-gradient(90deg, rgba(50, 0, 110, 0.50) 0%, rgba(50, 0, 110, 1) 80%);
    z-index: 1;
}

.acf-block-preview .slides-preview .slide-preview .slide-text h2,
.acf-block-preview .slides-preview .slide-preview .slide-text p,
.acf-block-preview .slides-preview .slide-preview .slide-text a
 {
    position: relative;
    z-index: 2;
}

.acf-block-preview .slides-preview .slide-preview .slide-preview-wrapper {
    height: 400px;
    display: flex;
    flex-direction: row;
}

.acf-block-preview .slides-preview .slide-preview .slide-text .slide-text-bg {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: bottom right;
    z-index: 0;
}

.acf-block-preview .slides-preview .slide-preview .slide-text h2 {
    font-family: "Encode Sans", system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    color: white;
    font-size: 2.5rem;
    margin: 0 0 1rem 0;
}

.acf-block-preview .slides-preview .slide-preview .slide-text p {
    margin: 0;
    font-size: 1.125rem;
}

.acf-block-preview .slides-preview .slide-preview .slide-image {
    width: 60%;
    position: relative;
}

.acf-block-preview .slides-preview .slide-preview .slide-image .overlay {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    clip-path: polygon(0 0,100px 0,1px 100%,0 100%);
    background: rgb(50, 0, 110);
    width: 100%;
}

.d-flex {
    display: flex;
}

.p-row {

    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-left: calc(var(1.5rem)*-.5);
    margin-right: calc(var(1.5rem)*-.5);
    margin-top: 0;
}

.p-col-12 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: 100%;
}


.acf-block-preview #news-and-events {
    gap: 1rem;
}

.recent-news-events {
    margin-bottom: 1rem;
}

.recent-news-events a {
    color: #685737;
}

@media (min-width: 768px){
    .acf-block-preview .p-col-md-4 {
        width: calc(33.33333333% - 1rem);
        -webkit-box-flex: 0;
        -ms-flex: 0 0 auto;
        flex: 0 0 auto;
    }
}

.news-events-heading {
    text-align: center;
    margin: 1.5rem 0;
}

.recent-item {
    display: flex;
    flex-direction: column;
    margin-bottom: 1rem;
}

.recent-item .recent-item-image img {
    aspect-ratio: 1/1;
    object-fit: cover;
    object-position: center;
    width: 100%;
}

.recent-item .recent-item-content {
    background-color: #d1d2d4;
    color: #32006e;
    padding: 1.25rem;
    flex: 1;
    display: flex;
    flex-direction: column;
}

.recent-item .recent-item-title, .recent-item .recent-item-title,
.recent-item .recent-item-title, .recent-item .recent-item-title a {
    color: #32006e;
    font-weight: 700;
    text-decoration: none;
    transition: all .25s ease-in-out;
}


.recent-item .recent-item-date {
    color: #000;
    font-weight: 700;
    margin-bottom: .25rem;
}


.recent-item .recent-item-speaker-affiliation,
.recent-item .recent-item-extra {
    color: #32006e;
    font-size: .9rem;
    font-weight: 400;
}
.recent-item .recent-item-cat {
    color: #32006e;
    font-weight: 600;
    font-size: 1.25rem;
    margin-bottom: 0;
}

.recent-item .recent-item-location {
    color: #000;
    font-size: .9rem;
    font-weight: 600;
}

.recent-item  .recent-item-read-more {
    background-color: #d1d2d4;
    border-radius: 0;
    border: 2px solid white;
    color: #000;
    padding: .25rem .75rem;
    text-transform: uppercase;
    font-weight: 600;
    font-size: .9rem;
    transition: all .25s ease-in-out;
}
.recent-item  .recent-item-read-more:hover {
    border: 2px solid black;
    background-color: white;
}

.recent-item-buttons-row {
    margin-top: auto;
    gap: 1rem;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.more-news-events {
    display: flex;
    margin: 1.5rem 0;
}

.more-news-events .btn {
    border-radius: 0;
    border: 2px solid #32006e;
    color: #32006e;
    font-weight: 600;
    text-transform: uppercase;
    box-shadow: none;
    margin-left: auto;
    margin-right: auto;
}

.more-news-events .btn:hover {
    background-color: #32006e;
    color: #fff;
}

.more-news-events .btn:focus,
.more-news-events .btn:focus-visible {
    outline: 3px solid #32006e;
    outline-offset: 2px;
}

#recent-news article:has(.stretched-link:focus-visible) {
    outline: 3px solid #32006e;
    outline-offset: 2px;
}
#recent-news article:has(.recent-item-title a:focus-visible) {
    outline: 3px solid #32006e;
}

.research-highlights-block p {
    margin-bottom: .5rem;
}

.research-highlights-block .research-block-content {
    flex: 1;
}

.card-grid-block .col {
    display: flex;
    margin-bottom: 1.5rem;
}

.card-grid-block .card {
    flex: 1;
}

.card-grid-block .card:has(a){
    transition: all .125s ease-in-out;
}
.card-grid-block .card:has(a):hover {
    box-shadow: 2px 2px 3px 2px rgba(50,0,110,0.5);
}

.acf-block-preview .card-grid-block {
    display: flex;
    flex-wrap: wrap;
    margin-right: -12px;
    margin-left: -12px;
}

.acf-block-preview .card-grid-block > .col {
    padding-right: 12px;
    padding-left: 12px;
    margin-bottom: 24px;
    box-sizing: border-box;
    flex: 0 0 auto;
}

.acf-block-preview .row-cols-1 > .col  { width: 100%; }
.acf-block-preview .row-cols-2 > .col  { width: 50%; }
.acf-block-preview .row-cols-3 > .col  { width: 33.3333%; }
.acf-block-preview .row-cols-4 > .col  { width: 25%; }
.acf-block-preview .row-cols-5 > .col  { width: 20%; }
.acf-block-preview .row-cols-6 > .col  { width: 16.6667%; }

@media (min-width: 768px) {
    .acf-block-preview .row-cols-md-1 > .col  { width: 100%; }
    .acf-block-preview .row-cols-md-2 > .col  { width: 50%; }
    .acf-block-preview .row-cols-md-3 > .col  { width: 33.3333%; }
    .acf-block-preview .row-cols-md-4 > .col  { width: 25%; }
    .acf-block-preview .row-cols-md-5 > .col  { width: 20%; }
    .acf-block-preview .row-cols-md-6 > .col  { width: 16.6667%; }
}

@media (min-width: 992px) {
    .acf-block-preview .row-cols-lg-1 > .col  { width: 100%; }
    .acf-block-preview .row-cols-lg-2 > .col  { width: 50%; }
    .acf-block-preview .row-cols-lg-3 > .col  { width: 33.3333%; }
    .acf-block-preview .row-cols-lg-4 > .col  { width: 25%; }
    .acf-block-preview .row-cols-lg-5 > .col  { width: 20%; }
    .acf-block-preview .row-cols-lg-6 > .col  { width: 16.6667%; }
}

@media (min-width: 1200px) {
    .acf-block-preview .row-cols-xl-1 > .col  { width: 100%; }
    .acf-block-preview .row-cols-xl-2 > .col  { width: 50%; }
    .acf-block-preview .row-cols-xl-3 > .col  { width: 33.3333%; }
    .acf-block-preview .row-cols-xl-4 > .col  { width: 25%; }
    .acf-block-preview .row-cols-xl-5 > .col  { width: 20%; }
    .acf-block-preview .row-cols-xl-6 > .col  { width: 16.6667%; }
}

@media (min-width: 1400px) {
    .acf-block-preview .row-cols-xxl-1 > .col  { width: 100%; }
    .acf-block-preview .row-cols-xxl-2 > .col  { width: 50%; }
    .acf-block-preview .row-cols-xxl-3 > .col  { width: 33.3333%; }
    .acf-block-preview .row-cols-xxl-4 > .col  { width: 25%; }
    .acf-block-preview .row-cols-xxl-5 > .col  { width: 20%; }
    .acf-block-preview .row-cols-xxl-6 > .col  { width: 16.6667%; }
}

/* Card styles */
.acf-block-preview .card-grid-block .card {
    display: flex;
    flex-direction: column;
    height: 100%;
    background-color: #fff;
    border: 1px solid rgba(0, 0, 0, 0.175);
    border-radius: 0.375rem;
    box-sizing: border-box;
    position: relative;
    word-wrap: break-word;
    padding: 0;
    min-width: unset;
    min-height: unset;
    max-width: unset;
    max-height: unset;
}

.acf-block-preview .card-grid-block .card-body {
    flex: 1 1 auto;
    padding: 1rem;
    position: relative;
}

.acf-block-preview .card-grid-block .card-title {
    margin-bottom: 0.5rem;
    font-size: 1.25rem;
    font-weight: 500;
    line-height: 1.2;
}

.acf-block-preview .card-grid-block .stretched-link::after {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1;
    content: "";
}


.tab-content-block {
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.tab-content-block .tab-content {
    padding: 1rem .5rem;
}

.tab-content-block .nav-pills {
    background-color: #e8e9ea;
    padding: .5rem;
    flex-wrap: wrap;
    gap: .5rem;
}

.tab-content-block .nav-pills .nav-link {
    background-color: #d1d2d4;
    border-radius: 0;
    border: 2px solid white;
    color: #000;
    padding: .25rem .75rem;
    text-transform: uppercase;
    font-weight: 600;
    font-size: .9rem;
    transition: all .25s ease-in-out;
}
.tab-content-block .nav-pills .nav-link:hover, .tab-content-block .nav-pills .nav-link.active {
    border: 2px solid black;
    background-color: white;
}
.acf-block-preview .nav-tabs {
    border-bottom: 1px solid #dee2e6;
    margin-bottom: 1rem;
    list-style: none;
    display: flex;
    flex-direction: row;
}
.acf-block-preview .nav-tabs .nav-link {
    border: 1px solid transparent;
    border-top-left-radius: 0.25rem;
    border-top-right-radius: 0.25rem;
    padding: 0.5rem 1rem;
    color: #495057;
    flex-wrap: wrap;
}
.acf-block-preview .nav-tabs .nav-link.active {
    color: #495057;
    background-color: #fff;
    border-color: #dee2e6 #dee2e6 #fff;
}

.acf-block-preview .nav-pills {
    gap: 0.5rem;
    margin-bottom: 1rem;
    list-style: none;
    display: flex;
    flex-direction: row;
    background-color: #e8e9ea;
    padding: .5rem;
    flex-wrap: wrap;
}
.acf-block-preview .nav-pills .nav-link {
    border-radius: 50rem;
    padding: 0.5rem 1rem;
    color: #495057;
    background-color: transparent;
    border-radius: 0.375rem;
    background-image: linear-gradient(180deg,hsla(0,0%,100%,.15),hsla(0,0%,100%,0));
    border-color: black;
    border-width: 1px;
}
.acf-block-preview .nav-pills .nav-link.active {
    color: #fff;
    background-color: #0d6efd;
}

.acf-block-preview .tab-preview-stack .tab-pane {
    display: block !important;
    opacity: 1 !important;
    padding: 1rem 0;
    border-bottom: 1px dashed #dee2e6;
}
.acf-block-preview .tab-preview-stack .tab-pane:last-child {
    border-bottom: none;
}

.img-text-grid-col {
    
    width: 100%;
    aspect-ratio: 1/1;
    display: flex;
    flex-direction: column;
    padding: .5rem;
    margin-bottom: 1rem;
}

.img-text-grid-col img {
    margin-bottom: .5rem;
    flex: 1;
}

.past-lecture-title,
.past-dissertation-title {
    color: #32006e;
    font-size: 1.325rem;
}

.past-lecture-location,
.past-dissertation-location {
    font-weight: 600;
    font-size: .9rem;
    margin-bottom: .25rem;
}

.past-lecture-speaker-affiliation,
.past-dissertation-speaker-affiliation {
    font-size: .9rem;
    color: #32006e;
}

.past-lecture-excerpt,
.past-dissertation-excerpt {
    font-style: italic;
    font-size: 1.125rem;
    font-weight: 600;
    margin-bottom: .325rem;
}

.past-lecture-extra,
.past-dissertation-extra {
    font-size: .9rem;
    margin-bottom: .25rem;
}

.past-lecture-buttons-row,
.past-dissertation-buttons-row {
    margin-top: .75rem;
    gap: 1rem;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}


.past-lecture-read-more,
.past-dissertation-read-more {
    border-radius: 0;
    border: 2px solid #32006e;
    color: #32006e;
    font-weight: 600;
    text-transform: uppercase;
    box-shadow: none;
    background-color: white;
    padding: .25rem .5rem;
    transition: all .15s ease-in-out;
}

.past-lecture-read-more:hover,
.past-dissertation-read-more:hover {
    background-color: #32006e;
    border: 2px solid #32006e;
    color: #fff;
}
.past-lecture-read-more:focus,
.past-dissertation-read-more:focus,
.past-lecture-read-more:focus-visible,
.past-dissertation-read-more:focus-visible {
    outline: 3px solid #32006e;
    outline-offset: 2px;
}

.past-lectures-year-filter,
.past-dissertations-year-filter {
    display: flex;
    flex-direction: row;
}

.past-lectures-year-filter label,
.past-dissertations-year-filter label {
    margin-top: auto;
    margin-bottom: auto;
    margin-right: .5rem;
}

.past-lectures-year-heading,
.past-dissertations-year-heading {
    margin-bottom: 1rem;
}